## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDocumentProvider.SynchronizerManager

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreDocumentProvider.SynchronizerManager

Enclosing class:
  EcoreDocumentProvider

    protected class EcoreDocumentProvider.SynchronizerManager

extends java.lang.Object

Constructor Summary
`protected` `EcoreDocumentProvider.SynchronizerManager()`

Method Summary
`void` `disconnect()`
`java.util.Map<org.eclipse.emf.transaction.TransactionalEditingDomain,org.eclipse.emf.workspace.util.WorkspaceSynchronizer>` `getEditingDomainWkpsSync()`
`java.util.List<EcoreDocumentProvider.ResourceSetInfo>` `getResourceSetInfos()`
`void` `setModificationStamp(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`
`void` `startResourceListening(EcoreDocumentProvider.ResourceSetInfo info)`
`void` `stopResourceListening(EcoreDocumentProvider.ResourceSetInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDocumentProvider.SynchronizerManager

    protected EcoreDocumentProvider.SynchronizerManager()

Method Detail

### startResourceListening

    public void startResourceListening(EcoreDocumentProvider.ResourceSetInfo info)

### stopResourceListening

    public void stopResourceListening(EcoreDocumentProvider.ResourceSetInfo info)

### setModificationStamp

    public void setModificationStamp(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

### disconnect

    public void disconnect()

### getEditingDomainWkpsSync

    public java.util.Map<org.eclipse.emf.transaction.TransactionalEditingDomain,org.eclipse.emf.workspace.util.WorkspaceSynchronizer> getEditingDomainWkpsSync()

  Returns:
    the editingDomainWkpsSync

### getResourceSetInfos

    public java.util.List<EcoreDocumentProvider.ResourceSetInfo> getResourceSetInfos()

  Returns:
    the resourceSetInfos

Copyright 2007 Anyware Technologies. All Rights Reserved.